## ncbi-entrez-direct 14.6.20210203+dfsg

=== debian/changelog ===
ncbi-entrez-direct (14.6.20210203+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Drop alternative build-dependency on unavailable golang-1.10-go --
    even stable has golang-go 1.11, which I've confirmed to work here.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 06 Feb 2021 22:52:01 -0500

ncbi-entrez-direct (14.6.20210203+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/{edirect,efetch,efilter,esample,nquire,transmute,xtract}.1:
    Update for new release.
  * debian/man/transmute.1:
    - Fully document new (as of 14.0.20201111[+dfsg]) -format suboptions
      -xml, -doctype, -comment, and -cdata, half of which turn out to take
      arguments.
    - Reformat mode descriptions more compactly.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 06 Feb 2021 22:06:37 -0500

ncbi-entrez-direct (14.0.20201111+dfsg-1) unstable; urgency=medium

  * New upstream release.  (Not the latest, but enough of a milestone
    to merit an individual upload anyway.)
  * debian/NEWS (new): Document switch to new e* and nquire
    implementations by default and reimplementation of transmute.
  * debian/control:
    - Add curl | wget to Depends now that nquire defaults to using the
      shell (vs. Perl) implementation; leave Perl dependencies alone for
      the sake of other major scripts, and curl as a specific suggestion
      for the sake of download-ncbi-data and index-extras.
    - Suggest libxml2-utils and python3 for specific transmute modes.
  * debian/man/{efetch,efilter,einfo,elink,epost,esearch,gbf2xml,nquire,
    transmute,xtract}.1: Update for new release.
  * debian/man/nquire.1: Belatedly correct paste-o in description of shell
    implementation (which does not in fact use itself!).
  * debian/man/xtract.1: Belatedly retire two old flags from OPTIONS
    in addition to SYNOPSIS.
  * debian/rules: Reflect transmute-related changes -- it's gone from a
    trivial wrapper around the legacy edirect Perl script to a combination
    of a Go executable factored out of xtract, a non-trivial shell wrapper
    that handles several cases outside Go, and an xml2json Perl script
    cribbed from edirect.
    - Install that xml2json under /usr/lib -- it's formally an
      implementation detail of transmute -x2j, and would otherwise
      conflict with libxml-compile-perl.
    - Tweak the transmute wrapper to run python3 rather than versionless
      python for json.tool.
    - Retain the new portion of upstream's xtract wrapper that delegates
      factored-out functionality to transmute.
    - To facilitate some of those changes, add a PKG_BIN_DIR macro.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 24 Jan 2021 17:14:03 -0500

ncbi-entrez-direct (14.0.20201030+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/efetch.1: Update for new release.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 01 Nov 2020 21:24:40 -0500

ncbi-entrez-direct (14.0.20201015+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/xtract.1: Update for new release.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 19 Oct 2020 21:37:21 -0400

ncbi-entrez-direct (14.0.20201009+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Add myself (at NCBI) as an upstream author.
    - Also exclude CA.pm and cacert.pm.
  * debian/efetch:
    - Belatedly resync %ncbi_supported with current usage
      (missed -style, -revcomp, -chr_stop, -raw, and -json).
    - Additionally recognize -input and -forward, as supported by the new
      shell implementation.
  * debian/{efetch,einfo}: Substitute e*.ncbi for edirect -*, now that the
    NCBI implementations won't necessarily boil down to edirect one-liners.
  * debian/install: Install ecommon.sh to /usr/lib/ncbi-entrez-direct.
  * debian/man/{bt-link,bt-srch,download-ncbi-data,edirect,efetch,efilter,
    einfo,elink,epost,esample,esearch,j2x,nquire,t2x,transmute,xplore,
    xtract}.1: Update for new release.
  * debian/man/{download-ncbi-data,esample}.1: Correct old typos
    (transposed letters, unescaped hyphen, missing parentheses).
  * debian/man/{einfo,efetch}.ncbi.1: Add alias pages for completeness.
  * debian/man/enquire.1: Retire per full incorporation of enquire into
    nquire, albeit on an experimental basis.
  * debian/man/{g2x,j2x,t2x}.1: Retire.
  * debian/man/skip-if-file-exists.1: Document new command.
  * debian/rules:
    - Belatedly install phrase-search (as is).
    - Account for new internal ecommon.sh sourceable; transformation of
      efetch, efilter, einfo, elink, epost, esearch, and esummary to
      ecommon.sh-based scripts (that still wrap Perl edirect by default,
      though); full incorporation of enquire (curl-/wget-based) as an
      experimental alternate mode for nquire (previously a pure edirect
      wrapper); retirement of dedicated g2x, j2x, and t2x binaries and of
      unbuilt s2p.go; and new as-is script skip-if-file-exists.
    - For efetch and einfo, install the upstream scripts with .ncbi
      extensions, since they won't necessarily reduce to edirect
      one-liners.
  * debian/tests/run-unit-test:
    - Correct gbf2xml invocation.  (It ignores any arguments and reads
      from standard input.)
    - Drop j2x test; renumber following tests accordingly.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 12 Oct 2020 15:14:47 -0400
