## ncbi-entrez-direct 14.6.20210209+dfsg

=== debian/changelog ===
ncbi-entrez-direct (14.6.20210209+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/{transmute,xtract}.1: Update for new release.
  * debian/man/xtract.1: Tune hyphenation under -insd.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 12 Feb 2021 12:31:49 -0500
