## ncbi-entrez-direct 14.6.20210224+dfsg

=== debian/changelog ===
ncbi-entrez-direct (14.6.20210224+dfsg-5ubuntu0.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 22:30:56 +0000

ncbi-entrez-direct (14.6.20210224+dfsg-5ubuntu0.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 May 2023 15:35:56 +0530

ncbi-entrez-direct (14.6.20210224+dfsg-5ubuntu0.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 24 Jan 2023 20:27:33 +0100

ncbi-entrez-direct (14.6.20210224+dfsg-5) unstable; urgency=high

  * debian/rules:
    - Force traditional GOPATH mode (GO111MODULE=off) to avoid needing to
      produce proper offline go.mod and go.sum files, which turned out not
      to be nearly as straightforward as I'd hoped.  It's not clear how
      much longer this option will be available, but it works in 1.16 and
      from what I gather even 1.17 after all.  (Closes: #995349.)
    - Substitute .../klauspost/cpuid/v2 for .../klauspost/cpuid as needed.
    - Set CGO_{C,CPP,CXX,F,LD}FLAGS from (hardened) dpkg-supplied flags.
      (See #951262.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 03 Oct 2021 20:28:46 -0400

ncbi-entrez-direct (14.6.20210224+dfsg-4) unstable; urgency=medium

  * debian/{efetch,einfo}: Refresh %ncbi_supported, taking care to include
    undocumented options.  (In particular, ncbi-blast+'s
    get_species_taxids uses efetch's undocumented -docsum shorthand.)
    (Closes: #990741.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 08 Jul 2021 17:36:20 -0400

ncbi-entrez-direct (14.6.20210224+dfsg-3) unstable; urgency=medium

  * debian/man/eblast.1: Extend deprecation notice to eblast.
  * debian/man/protein-neighbors.1: Note that eblast is now deprecated too.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 13 Mar 2021 22:24:07 -0500

ncbi-entrez-direct (14.6.20210224+dfsg-2) unstable; urgency=medium

  * debian/{examples,install,rules}: Relegate obsolescent short-lived
    specialized content to examples: bt-*, fetch-extras, index-themes, and
    xplore.  All came along after buster (which had 10.9.20190219+ds-1)
    and will be absent from future upstream releases, so there's no sense
    in having them appear in /usr/bin in bullseye only to disappear fully
    in the next stable Debian release.
  * debian/man: Drop corresponding man pages and references thereto.
  * debian/man/{eaddress,ecitmatch,econtact,edirect,edirutil,enotify,
    entrez-phrase-search,eproxy,espell,ftp-cp,ftp-ls,protein-neighbors}.1:
    Mark as deprecated (somewhat speculatively in the case of edirect),
    with suggestions for alternatives in most cases.  All of these
    commands have been around for a while, so they can remain in /usr/bin
    for bullseye.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 07 Mar 2021 16:26:20 -0500

ncbi-entrez-direct (14.6.20210224+dfsg-1) unstable; urgency=medium

  * New upstream point release.
  * debian/man/esample.1: Update for new release.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 24 Feb 2021 21:14:35 -0500
