=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+export CGO_CFLAGS   = $(CFLAGS)
+export CGO_CPPFLAGS = $(CPPFLAGS)
+export CGO_CXXFLAGS = $(CXXFLAGS) # probably irrelevant
+export CGO_FFLAGS   = $(FFLAGS)   # even more so
+export CGO_LDFLAGS  = $(LDFLAGS)
 
 %:
 	dh $@ --with=golang
@@ -19,21 +25,17 @@
 WRAPPERS = $(STD_WRAPPERS) $(OTHER_WRAPPERS:%=bin/%)
 AS_IS_SCRIPTS = accn-at-a-time amino-acid-composition archive-pubmed \
                 between-two-genes entrez-phrase-search esample \
-                exclude-uid-lists expand-current fetch-extras fetch-pubmed \
+                exclude-uid-lists expand-current fetch-pubmed \
                 filter-stop-words gbf2xml index-pubmed intersect-uid-lists \
                 join-into-groups-of phrase-search pm-* protein-neighbors \
                 reorder-columns skip-if-file-exists sort-uniq-count* \
                 stream-pubmed theme-aliases word-at-a-time xml2tbl xy-plot
-BASH_SCRIPTS = index-extras index-themes
+BASH_SCRIPTS = index-extras
 BIN_BASH_SCRIPTS = $(BASH_SCRIPTS:%=bin/%)
 DL_SCRIPTS = download-ncbi-data download-pubmed download-sequence
 BIN_DL_SCRIPTS = $(DL_SCRIPTS:%=bin/%)
 PERL_SCRIPTS = edirutil run-ncbi-converter xml2json
 BIN_PERL_SCRIPTS = $(PERL_SCRIPTS:%=bin/%)
-# Only bt-link and xplore need this treatment at present,
-# but list all bt-* scripts to be safe.
-BT_SCRIPTS = bt-link bt-load bt-save bt-srch xplore
-BIN_BT_SCRIPTS = $(BT_SCRIPTS:%=bin/%)
 ECOMMON_SCRIPTS = efetch efilter einfo elink epost esearch esummary
 BIN_ECOMMON_SCRIPTS = $(ECOMMON_SCRIPTS:%=bin/%)
 OTHER_SCRIPTS = nquire
@@ -51,6 +53,7 @@
             $(GL)/x/sys $(GL)/x/text
 GOLIBSRC  = $(GOLIBSRC_:%=$(GOCODE)/src/%)
 
+export GO111MODULE = off
 export GOCACHE = $(CURDIR)/go-build
 export GOPATH = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
 GOLIBS = $(GOLIBSRC:$(GOCODE)/%=$(GOPATH)/%)
@@ -118,11 +121,6 @@
 	sed -e 's/`has-asp`/false # &/' $< > $@
 	chmod +x $@
 
-$(BIN_BT_SCRIPTS): bin/%: %
-	mkdir -p bin
-	sed -e 's,"*\$$dir"*\(/bt-[^ .]*\.txt\)"*,$(LIB_DIR)\1,g' $< > $@
-	chmod +x $@
-
 $(BIN_ECOMMON_SCRIPTS): bin/%: %
 	mkdir -p bin
 	sed -e 's/edirect\.pl/edirect/g; s,"$$pth"/ec,$(LIB_DIR)/ec,g' $< > $@
@@ -131,6 +129,13 @@
 $(GOPATH)/src/$(GH)/fiam/gounidecode: $(GOLIBS)
 	mkdir -p $(GOPATH)/src/$(GH)/fiam
 	ln -s ../rainycape $(GOPATH)/src/$(GH)/fiam/gounidecode
+
+ifneq (,$(wildcard /usr/share/gocode/src/$(GH)/klauspost/cpuid/v2))
+  $(GOPATH)/src/$(GH)/klauspost/cpuid: $(GOLIBS)
+	mkdir -p $(GOPATH)/src/$(GH)/klauspost
+	ln -s /usr/share/gocode/src/$(GH)/klauspost/cpuid/v2 \
+	    $(GOPATH)/src/$(GH)/klauspost/cpuid
+endif
 
 COMMON = common.go
 $(BIN_GO_APPS): bin/%: %.go $(GOPATH)/src/$(GH)/fiam/gounidecode
@@ -143,9 +148,8 @@
 	-mv go.mod go.sum saved/
 
 override_dh_auto_build: $(WRAPPERS) $(BIN_BASH_SCRIPTS) $(BIN_DL_SCRIPTS) \
-                        $(BIN_PERL_SCRIPTS) $(BIN_BT_SCRIPTS) \
-                        $(BIN_ECOMMON_SCRIPTS) $(BIN_OTHER_SCRIPTS) \
-                        $(BIN_GO_APPS)
+                        $(BIN_PERL_SCRIPTS) $(BIN_ECOMMON_SCRIPTS) \
+                        $(BIN_OTHER_SCRIPTS) $(BIN_GO_APPS)
 	dh_auto_build
 	install $(AS_IS_SCRIPTS) bin/
 	mv bin/efetch bin/efetch.ncbi
