## ncbi-entrez-direct 16.6.20220228+dfsg

=== debian/changelog ===
ncbi-entrez-direct (16.6.20220228+dfsg-2ubuntu0.1) lunar-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 09:16:49 +0530

ncbi-entrez-direct (16.6.20220228+dfsg-2) unstable; urgency=medium

  * debian/tests/control: Depend on libxml-simple-perl for the private
    script behind transmute -x2j.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 14 Feb 2023 07:47:26 -0500

ncbi-entrez-direct (16.6.20220228+dfsg-1) unstable; urgency=medium

  * New(er) upstream release.  (Still carefully catching up, but this is
    at least a specialized leaf package.)
  * debian/.gitignore: Additionally ignore edirect.py (a transient
    non-executable copy) and ncbi-entrez-direct.*.debhelper.
  * debian/README.Debian (new): Document asn2xml's status.
  * debian/control:
    - Downgrade or remove Perl-related dependencies.  With the old EUtils
      wrappers fully gone, only two specialized scripts still use Perl at
      all, and neither uses libwww-perl.
    - To accommodate dh_python3, add build dependencies on both dh-python
      and python3, and recommend ${python3:Depends} rather than merely
      suggesting python.  (Recommends is overkill, but the weakest
      dh_python3 accepts.)
    - Standards-Version: 4.6.2 (already compliant).
    - Drop golang-any constraint, satisfied even in oldstable.
    - Clean up whitespace (a hard tab slipped in at one point).
  * debian/{efetch,einfo}:
    - Resync %ncbi_supported; in particular, belatedly add explicit
      -ext(ernal) and efetch's -plus, -reverse, and -minus aliases (all
      undocumented).
    - Recognize new common -immediate and -express flags.
  * debian/examples:
    - Reflect upstream retirement of nearly everything (leaving only
      test-pubmed-index).  To be fair, 14.6.20210224+dfsg-2 had relegated
      many files to examples in anticipation of their retirement.
    - Add idx-*.
  * debian/install:
    - Install transmute's asn2xml convenience wrapper to
      /usr/lib/ncbi-entrez-direct/bin.  Installing it to /usr/bin would
      conflict with ncbi-tools-bin without special tricks like an
      efetch/einfo-style wrapper, which would be overkill here; those
      names were primary entry points all along, whereas this wrapper is
      merely shorthand without even any internal use.
    - Install help files to /usr/lib/ncbi-entrez-direct/help.
  * debian/man/*.1: Various belated corrections and formal cleanups.
    In particular, fix typos in nquire.1 and xtract.1 and note that
    pm-index takes a second mandatory argument these days.
  * debian/man/{align-columns,gbf2xml,transmute}.1: Split up.
    align-columns and gbf2xml remain wrappers for transmute, but some
    additional *2xml wrappers will be joining them, and the result would
    otherwise be unwieldy.
  * debian/man/{blst2tkns,combine-uid-lists,csv2xml,custom-index,
    difference-uid-lists,disambiguate-nucleotides,download-ncbi-software,
    ds2pme,filter-columns,find-in-gene,fuse-ranges,fuse-segments,gbf2ref,
    hgvs2spdi,json2xml,pma2pme,print-columns,ref2pmid,snp2hgvs,snp2tbl,
    sort-table,spdi2tbl,split-at-introns,tbl2prod,tbl2xml,uniq-table,
    xml2fsa}.1: Document new commands, with csv2xml.1 now covering
    all *2xml wrappers and gbf2ref.
  * debian/man/{archive-pubmed,download-ncbi-data,download-pubmed,
    download-sequence,efetch,efilter,einfo,elink,epost,esample,esearch,
    exclude-uid-lists,fetch-pubmed,filter-stop-words,gene2range,index-extras,
    index-pubmed,intersect-uid-lists,nquire,phrase-search,pm-index,pm-stash,
    rchive,reorder-columns,run-ncbi-converter,sort-table,stream-pubmed,
    transmute,word-at-a-time,xml2tbl,xtract}.1: Update for new release.
  * debian/man/{eaddress,eblast,ecitmatch,econtact,edirect,edirutil,enotify,
    entrez-phrase-search,eproxy,espell,ftp-cp,ftp-ls,protein-neighbors}.1:
    Retire.
  * debian/ncbi-entrez-direct.pyinstall (new): List debian/edirect.py.
  * debian/rules:
    - Reflect upstream retirement of eaddress, eblast, ecitmatch, econtact,
      edirect, edirutil, enotify, entrez-phrase-search, eproxy, espell,
      ftp-cp, ftp-ls, and protein-neighbors.
    - Reflect new Go layout -- application code now in cmd/, library code
      split from common.go to eutils/*.go.
    - Belatedly ensure bin/ exists in the bin/%.sh pattern rule, which has
      become the first to need it with the retirement of STD_WRAPPERS.
    - Install new as-is scripts blst2tkns, combine-uid-lists, csv2xml,
      custom-index, difference-uid-lists, disambiguate-nucleotides,
      download-ncbi-software, ds2pme, filter-columns, find-in-gene,
      fuse-ranges, fuse-segments, gbf2ref, gene2range, hgvs2spdi, json2xml,
      pma2pme, print-columns, ref2pmid, snp2hgvs, snp2tbl, sort-table,
      spdi2tbl, split-at-intron, tbl2prod, tbl2xml, uniq-table, and xml2fsa.
    - Have esummary run efetch.ncbi directly so the wrapper can't
      interfere with its dedicated -help output.
    - Fold BASH_SCRIPTS into AS_IS_SCRIPTS.  (It was already down to
      index-extras, which now explicitly specifies #!/bin/bash.  In
      retrospect, it should have also included download-ncbi-data, but
      that's good now too.)
    - Account for direct use of github.com/rainycape/unidecode (no more
      need to pass it off as github.com/fiam/gounidecode/unidecode).
    - Account for split out of help texts for ecommon scripts, nquire, and
      remaining Go binaries.  In particular, factor out and generalize the
      logic to tweak scripts, extend it to nquire, and treat compiled
      binaries uniformly.
    - Additionally enable the python3 build system.
    - Transiently supply a non-executable(!) copy of edirect.py in debian/.
    - Remove trailing whitespace.
    - Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 13 Feb 2023 22:34:31 -0500


