=== debian/control ===
--- 
+++ 
@@ -6,15 +6,17 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any (>= 2:1.10~),
+               dh-python,
+               golang-any,
                golang-github-dataence-porter2-dev,
                golang-github-fatih-color-dev,
                golang-github-gedex-inflector-dev,
                golang-github-klauspost-cpuid-dev,
                golang-github-rainycape-unidecode-dev,
-	       golang-github-shirou-gopsutil-dev,
-               golang-golang-x-text-dev
-Standards-Version: 4.5.1
+               golang-github-shirou-gopsutil-dev,
+               golang-golang-x-text-dev,
+               python3
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/ncbi-entrez-direct
 Vcs-Git: https://salsa.debian.org/med-team/ncbi-entrez-direct.git
 Homepage: http://www.ncbi.nlm.nih.gov/books/NBK179288
@@ -25,14 +27,13 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: curl | wget,
-         libwww-perl,
-	 libxml-simple-perl,
          ${misc:Depends},
-         ${perl:Depends},
          ${shlibs:Depends}
+Recommends: ${python3:Depends}
 Suggests: curl,
+          libxml-simple-perl,
           libxml2-utils,
-          python3
+          ${perl:Depends}
 Built-Using: ${misc:Built-Using}
 Description: NCBI Entrez utilities on the command line
  Entrez Direct (EDirect) is an advanced method for accessing NCBI's set
