## ncbi-entrez-direct 19.0.20230216+dfsg

=== debian/changelog ===
ncbi-entrez-direct (19.0.20230216+dfsg-2) unstable; urgency=medium

  * Upload to unstable.  (Don't read too much into the version number
    difference -- upstream has a low threshold for bumping the second
    component, and has been keeping it to a single digit.  Also, many of
    the code changes are refactoring and similar formalities, and as
    previously noted this is a specialized leaf package.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 01 Mar 2023 18:11:52 -0500

ncbi-entrez-direct (19.0.20230216+dfsg-1) experimental; urgency=medium

  * New upstream release; uploading to experimental, at least for now.
  * debian/control: Add B-Ds on golang-github-gin-gonic-gin-dev and
    golang-github-klauspost-pgzip-dev.
  * debian/{efetch,einfo}: Recognize new common flags -verbose and -tranquil.
  * debian/install: Install new nhance.sh helper to /usr/lib/n-e-d.
  * debian/man/{archive-pubmed,combine-uid-lists,csv2xml,download-ncbi-data,
    download-pubmed,download-sequence,efilter,esearch,fetch-pubmed,
    index-pubmed,nquire,phrase-search,pm-collect,pm-prepare,pm-stash,rchive,
    ref2pmid,transmute,xtract}.1: Update for new release.
  * debian/man/{asn2ref,cit2pmid,edict,scn2xml}.1: Document new commands.
  * debian/man/{pm-index,pm-invert,pm-merge,pm-promote,pm-stash}.1: Retire.
  * debian/rules:
    - Account for use of github.com/gin-gonic/gin and its dependency tree
      and of github.com/klauspost/pgzip and its dependency
      github.com/klauspost/compress.
    - Install new as-is scripts archive-pmc, asn2ref, cit2pmid, download-pmc,
      fetch-pmc, and scn2xml.
    - Install new binary edict, unwrapped.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 26 Feb 2023 16:55:42 -0500
