=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ncbi-entrez-direct
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Aaron M. Ucko <ucko@debian.org>
 Section: science
 Priority: optional
@@ -11,7 +10,9 @@
                golang-github-dataence-porter2-dev,
                golang-github-fatih-color-dev,
                golang-github-gedex-inflector-dev,
+               golang-github-gin-gonic-gin-dev,
                golang-github-klauspost-cpuid-dev,
+               golang-github-klauspost-pgzip-dev,
                golang-github-rainycape-unidecode-dev,
                golang-github-shirou-gopsutil-dev,
                golang-golang-x-text-dev,
