=== debian/rules ===
--- 
+++ 
@@ -20,14 +20,15 @@
 LIB_DIR = /usr/lib/$(PACKAGE)
 PKG_BIN_DIR = debian/$(PACKAGE)/usr/bin
 
-WRAPPERS = $(GO_APPS:%=bin/%.sh)
-AS_IS_SCRIPTS = accn-at-a-time amino-acid-composition archive-pubmed \
-                between-two-genes blst2tkns combine-uid-lists \
+WRAPPERS = $(filter-out bin/edict.sh, $(GO_APPS:%=bin/%.sh))
+AS_IS_SCRIPTS = accn-at-a-time amino-acid-composition \
+                archive-pmc archive-pubmed asn2ref \
+                between-two-genes blst2tkns cit2pmid combine-uid-lists \
                 csv2xml custom-index difference-uid-lists \
                 disambiguate-nucleotides download-ncbi-data \
-                download-ncbi-software download-pubmed \
+                download-ncbi-software download-pmc download-pubmed \
                 download-sequence ds2pme esample \
-                exclude-uid-lists expand-current \
+                exclude-uid-lists expand-current fetch-pmc \
                 fetch-pubmed filter-columns filter-stop-words \
                 find-in-gene fuse-ranges fuse-segments \
                 gbf2ref gbf2xml gene2range hgvs2spdi \
@@ -35,7 +36,7 @@
                 join-into-groups-of json2xml \
                 phrase-search pm-* pma2pme \
                 print-columns ref2pmid reorder-columns \
-                skip-if-file-exists snp2hgvs snp2tbl \
+                scn2xml skip-if-file-exists snp2hgvs snp2tbl \
                 sort-table sort-uniq-count* spdi2tbl \
                 split-at-intron stream-pubmed tbl2prod tbl2xml theme-aliases \
                 uniq-table word-at-a-time xml2fsa xml2tbl xy-plot
@@ -50,11 +51,18 @@
 GOCODE    = /usr/share/gocode
 GH        = github.com
 GL        = golang.org
-GOLIBSRC_ = $(GH)/fatih/color $(GH)/gedex/inflector $(GH)/klauspost/cpuid \
+GOLIBSRC_ = $(GH)/fatih/color $(GH)/gedex/inflector \
+            $(GH)/gin-contrib/sse $(GH)/gin-gonic/gin \
+            $(GH)/go-playground/locales \
+            $(GH)/go-playground/universal-translator \
+            $(GH)/go-playground/validator/v10 $(GH)/klauspost/compress \
+            $(GH)/klauspost/cpuid $(GH)/klauspost/pgzip $(GH)/leodido/go-urn \
             $(GH)/mattn/go-colorable $(GH)/mattn/go-isatty \
-            $(GH)/pbnjay/memory $(GH)/rainycape/unidecode \
-            $(GH)/shirou/gopsutil $(GH)/surgebase/porter2 \
-            $(GL)/x/sys $(GL)/x/text
+            $(GH)/pbnjay/memory $(GH)/pelletier/go-toml/v2 \
+            $(GH)/rainycape/unidecode $(GH)/shirou/gopsutil \
+            $(GH)/surgebase/porter2 $(GH)/ugorji/go/codec \
+            $(GL)/x/crypto $(GL)/x/net $(GL)/x/sys $(GL)/x/text \
+            google.golang.org/protobuf gopkg.in/yaml.v2
 GOLIBSRC  = $(GOLIBSRC_:%=$(GOCODE)/src/%)
 
 export GO111MODULE = off
@@ -62,7 +70,7 @@
 export GOPATH = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
 GOLIBS = $(GOPATH)/src/eutils $(GOLIBSRC:$(GOCODE)/%=$(GOPATH)/%)
 
-GO_APPS     = rchive transmute xtract
+GO_APPS     = edict rchive transmute xtract
 BIN_GO_APPS = $(GO_APPS:%=bin/%)
 
 GOVERSION := $(word 3,$(shell go version)) # go version **goX.Y.Z** OS/CPU
@@ -144,6 +152,7 @@
 	dh_install
 	mv $(PKG_BIN_DIR)/xml2json debian/$(PACKAGE)/$(LIB_DIR)/
 	for x in $(GO_APPS); do \
+	    test -f $(PKG_BIN_DIR)/$$x.sh || continue ; \
 	    mv -v $(PKG_BIN_DIR)/$$x debian/$(PACKAGE)/$(LIB_DIR)/ ; \
 	    mv -v $(PKG_BIN_DIR)/$$x.sh $(PKG_BIN_DIR)/$$x ; \
 	done
