## ncbi-entrez-direct 19.2.20230331%2Bdfsg

=== debian/changelog ===
ncbi-entrez-direct (19.2.20230331+dfsg-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 15:18:59 +1000

ncbi-entrez-direct (19.2.20230331+dfsg-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 11:31:13 +1000

ncbi-entrez-direct (19.2.20230331+dfsg-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 10:42:03 +0530

ncbi-entrez-direct (19.2.20230331+dfsg-3) unstable; urgency=medium

  * .gitignore: Drop "saved" again, slightly belatedly.
  * debian/control: Explicitly build-depend on golang-golang-x-net-dev.
    AFAICT, it had been coming in as an indirect dependency of
    golang-github-gin-gonic-gin-dev, most immediately via
    golang-golang-x-crypto-dev, which recently dropped its dependency to
    break a cycle.  (Closes: #1054198.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 18 Oct 2023 21:34:22 -0400

ncbi-entrez-direct (19.2.20230331+dfsg-2) unstable; urgency=medium

  * debian/rules: Formally build cmd/*.go as main/*.go, adjusting DH_GOPKG
    accordingly.  This approach both avoids an FTBFS with Go 1.21 (under
    which cmd tries to pick up e.g. cmd/compile) and facilitates bypassing
    upstream's cmd/go.{mod,sum} without moving them aside.  (In
    retrospect, Built-Using was already missing third-party packages.)
  * Reupload to unstable.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 16 Sep 2023 22:36:01 -0400

ncbi-entrez-direct (19.2.20230331+dfsg-1) experimental; urgency=medium

  * New upstream point release, still to experimental.
  * debian/man/xtract.1: Update for new release.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 31 Mar 2023 17:53:02 -0400

ncbi-entrez-direct (19.2.20230330+dfsg-1) experimental; urgency=medium

  * New upstream incremental release; initially uploading to experimental
    to be extra sure the changes are all safe.
  * debian/control: Belatedly suggest unzip.
  * debian/examples: List new scripts blst2gm and gm2ranges here, at least
    for now.
  * debian/man/{archive-pubmed,download-ncbi-data}.1: Update for new release.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 30 Mar 2023 23:26:38 -0400
