## ncbi-entrez-direct 19.2.20230331+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ncbi-entrez-direct
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Aaron M. Ucko <ucko@debian.org>
 Section: science
 Priority: optional
@@ -15,6 +16,7 @@
                golang-github-klauspost-pgzip-dev,
                golang-github-rainycape-unidecode-dev,
                golang-github-shirou-gopsutil-dev,
+               golang-golang-x-net-dev,
                golang-golang-x-text-dev,
                python3
 Standards-Version: 4.6.2
@@ -34,6 +36,7 @@
 Suggests: curl,
           libxml-simple-perl,
           libxml2-utils,
+          unzip,
           ${perl:Depends}
 Built-Using: ${misc:Built-Using}
 Description: NCBI Entrez utilities on the command line
