=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export CGO_FFLAGS   = $(FFLAGS)   # even more so
 export CGO_LDFLAGS  = $(LDFLAGS)
 
-export DH_GOPKG = cmd
+export DH_GOPKG = main
 
 %:
 	dh $@ --with=golang,python3
@@ -130,11 +130,12 @@
 $(BIN_GO_APPS): bin/%: cmd/%.go $(GOLIBS)
 # Always use gccgo?  The resulting binary would be much smaller, but
 # pull in a large shared library with few other reverse dependencies.
-	go build -v -gccgoflags '$(CFLAGS) $(LDFLAGS)' -o $@ cmd/$*.go
+	go build -v -gccgoflags '$(CFLAGS) $(LDFLAGS)' -o $@ \
+	    $(GOPATH)/src/$(DH_GOPKG)/$*.go
 
 override_dh_auto_configure:
-	mkdir -p saved
-	-mv cmd/go.mod cmd/go.sum saved/
+	mkdir -p $(GOPATH)/src/$(DH_GOPKG)
+	ln -sv $(CURDIR)/cmd/*.go $(GOPATH)/src/$(DH_GOPKG)
 
 override_dh_auto_build: $(WRAPPERS) $(BIN_PERL_SCRIPTS) \
                         $(BIN_ECOMMON_SCRIPTS) $(BIN_OTHER_SCRIPTS) \
@@ -164,4 +165,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf bin debian/edirect.py $(GOCACHE) $(GOPATH)
-	if [ -d saved ]; then mv saved/* cmd && rmdir saved; fi
